<div class="container">
  <div class="text-center">
    <h2>Overzicht details</h2>
  </div>
  <div *ngIf="!loginCheck()">Log in</div>

  <div
    *ngIf="overview && loginCheck() && correctUser"
    class="row justify-content-center"
  >
    <ng-template #no_content> - </ng-template>

    <div class="col-md-3 col-sm-9 col-xs-10">
      <table class="table">
        <tr>
          <th>Naam:</th>
          <td>
            {{ overview.name }}
          </td>
        </tr>

        <tr>
          <th>Omschrijving:</th>
          <td>
            <div *ngIf="overview.description; else no_content">
              {{ overview.description }}
            </div>
          </td>
        </tr>

        <tr>
          <th>Jaar:</th>
          <td>
            <div *ngIf="overview.year; else no_content">
              {{ overview.year }}
            </div>
          </td>
        </tr>

        <tr>
          <th>Gebruikers:</th>
          <td>
            <div *ngIf="overview.userRefs; else no_content">
              <div *ngFor="let user of overview.userRefs">
                {{ user.username }}
              </div>
            </div>
          </td>
        </tr>
      </table>

      <a
        routerLink="/overview/edit/{{ overview._id }}"
        class="btn btn-large btn-main"
      >
        Gegevens aanpassen
      </a>

      <a
        routerLink="/overview/users/{{ overview._id }}"
        class="btn btn-large btn-main"
      >
        Gebruikers aanpassen
      </a>

      <a
        routerLink="/expense/add/{{ overview._id }}"
        class="btn btn-large btn-main"
      >
        Uitgave toevoegen
      </a>

      <button
        class="btn btn-large btn-main"
        title="delete overview"
        (click)="delete(overview)"
      >
        Verwijderen
      </button>
    </div>

    <div class="col-9 col-sm-9 col-xs-10">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th>Datum</th>
            <th>Uitgave</th>
          </tr>
        </thead>
        <tbody *ngIf="overview.userRefs && overview.expenseRefs">
          <tr *ngFor="let expense of overview.expenseRefs">
            <td>
              {{ expense.date | date: "dd/MM/yyyy" }}
            </td>
            <td>
              <a routerLink="/expense/{{ expense._id }}">{{
                expense.amount
              }}</a>
            </td>
          </tr>
        </tbody>

        <thead>
          <tr>
            <th>Naam</th>
            <th>Totaal</th>
          </tr>
        </thead>
        <tbody *ngIf="overview.userRefs && overview.expenseRefs">
          <tr *ngFor="let user of overview.userRefs">
            <td>{{ user.username }}</td>
            <td>{{ getTotalByUser(user._id) }}</td>
          </tr>

          <tr>
            <td>Totaal</td>
            <td>{{ totalAmount }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
